Index: external/fastjet/contribs/Nsubjettiness/AUTHORS
===================================================================
--- external/fastjet/contribs/Nsubjettiness/AUTHORS	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/contribs/Nsubjettiness/AUTHORS	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
@@ -39,9 +39,9 @@
    Iain W. Stewart, Frank J. Tackmann, Jesse Thaler,
    Christopher K. Vermilion, and Thomas F. Wilkason.
-   arXiv:1508.01516.
+   JHEP 1511:072 (2015), arXiv:1508.01516.
 
    Resolving Boosted Jets with XCone.
    Jesse Thaler and Thomas F. Wilkason.
-   arXiv:1508.01518.
+   JHEP 1512:051 (2015), arXiv:1508.01518.
 
 -------------------------------------------------------------------------------
Index: external/fastjet/contribs/Nsubjettiness/AxesDefinition.hh
===================================================================
--- external/fastjet/contribs/Nsubjettiness/AxesDefinition.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/contribs/Nsubjettiness/AxesDefinition.hh	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
@@ -5,5 +5,5 @@
 //  Jesse Thaler, Ken Van Tilburg, Christopher K. Vermilion, and TJ Wilkason
 //
-//  $Id: AxesDefinition.hh 833 2015-07-23 14:35:23Z jthaler $
+//  $Id: AxesDefinition.hh 1130 2018-06-06 12:09:46Z jthaler $
 //----------------------------------------------------------------------
 // This file is part of FastJet contrib.
@@ -508,6 +508,6 @@
 /// \brief Wrapper for jet definitions (for memory management)
 ///
-/// This class was introduced to avoid issue of a FastJet bug when using genKT clustering
-/// Now using this for all AxesDefinition with a manual recombiner to use the delete_recombiner_when_unused function
+/// This class is used by all AxesDefinition with a manual recombiner to
+/// ensure that the delete_recombiner_when_unused function is always called
 ///------------------------------------------------------------------------
 class JetDefinitionWrapper {
@@ -549,5 +549,5 @@
    : ExclusiveJetAxes(JetDefinitionWrapper(fastjet::kt_algorithm,
                                           fastjet::JetDefinition::max_allowable_R, //maximum jet radius constant
-                                          _recomb = new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
+                                          new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
                                           fastjet::Best).getJetDef()
                       ) {
@@ -571,7 +571,4 @@
    virtual WTA_KT_Axes* create() const {return new WTA_KT_Axes(*this);}
 
-private:
-   const WinnerTakeAllRecombiner *_recomb;  ///< Internal recombiner
-
 };
    
@@ -588,5 +585,5 @@
    : ExclusiveJetAxes(JetDefinitionWrapper(fastjet::cambridge_algorithm,
                                              fastjet::JetDefinition::max_allowable_R, //maximum jet radius constant
-                                             _recomb = new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
+                                             new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
                                              fastjet::Best).getJetDef()) {
     setNPass(NO_REFINING);
@@ -608,8 +605,5 @@
    /// For copying purposes
    virtual WTA_CA_Axes* create() const {return new WTA_CA_Axes(*this);}
-   
-private:
-   const WinnerTakeAllRecombiner *_recomb;  ///< Internal recombiner
-
+  
 };
 
@@ -674,5 +668,5 @@
                                             R0,
                                             p,
-                                            _recomb = new WinnerTakeAllRecombiner()
+                                            new WinnerTakeAllRecombiner()
                                             ).getJetDef()), _p(p), _R0(R0) {
       if (p < 0) throw Error("WTA_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -702,5 +696,4 @@
    double _p;   ///< genkT power
    double _R0;  ///< jet radius
-   const WinnerTakeAllRecombiner *_recomb; ///< Internal recombiner
 };
    
@@ -717,5 +710,5 @@
    /// Constructor
    GenET_GenKT_Axes(double delta, double p, double R0 = fastjet::JetDefinition::max_allowable_R)
-   : ExclusiveJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, _recomb = new GeneralEtSchemeRecombiner(delta))).getJetDef() ),
+   : ExclusiveJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, new GeneralEtSchemeRecombiner(delta))).getJetDef() ),
     _delta(delta), _p(p), _R0(R0) {
        if (p < 0) throw Error("GenET_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -750,5 +743,4 @@
    double _p;     ///< GenkT power
    double _R0;    ///< jet radius
-   const GeneralEtSchemeRecombiner *_recomb;   ///< Internal recombiner
 };
 
@@ -1201,5 +1193,5 @@
    /// Constructor
    Comb_WTA_GenKT_Axes(int nExtra, double p, double R0 = fastjet::JetDefinition::max_allowable_R)
-   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, _recomb = new WinnerTakeAllRecombiner())).getJetDef(), nExtra),
+   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, new WinnerTakeAllRecombiner())).getJetDef(), nExtra),
     _p(p), _R0(R0) {
        if (p < 0) throw Error("Comb_WTA_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -1227,5 +1219,4 @@
    double _p;        ///< GenkT power
    double _R0;       ///< jet radius
-   const WinnerTakeAllRecombiner *_recomb;   ///< Internal recombiner
 };
    
@@ -1241,5 +1232,5 @@
    /// Constructor
    Comb_GenET_GenKT_Axes(int nExtra, double delta, double p, double R0 = fastjet::JetDefinition::max_allowable_R)
-   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, _recomb = new GeneralEtSchemeRecombiner(delta))).getJetDef(), nExtra),
+   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, new GeneralEtSchemeRecombiner(delta))).getJetDef(), nExtra),
     _delta(delta), _p(p), _R0(R0) {
        if (p < 0) throw Error("Comb_GenET_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -1271,5 +1262,4 @@
    double _p;        ///< GenkT power
    double _R0;       ///< jet radius
-   const GeneralEtSchemeRecombiner *_recomb;  ///<  Internal recombiner
 };
    
Index: external/fastjet/contribs/Nsubjettiness/ChangeLog
===================================================================
--- external/fastjet/contribs/Nsubjettiness/ChangeLog	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/contribs/Nsubjettiness/ChangeLog	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
@@ -1,2 +1,8 @@
+2018-07-06 <jthaler>
+   Updated comments in AxesDefinition.hh about role of JetDefinitionWrapper
+   Updated AUTHORS with JHEP publication information for XCone
+   Prepared VERSION and NEWS for 2.2.5 release
+2018-07-05 <jthaler>
+   Fixed bug in AxesDefinition.hh where _recomb was used before it was declared.
 2016-06-08 <jthaler>
    Fixed bug in MeasureDefinition.cc where axes were not completely defined,
Index: external/fastjet/contribs/Nsubjettiness/MeasureDefinition.cc
===================================================================
--- external/fastjet/contribs/Nsubjettiness/MeasureDefinition.cc	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/contribs/Nsubjettiness/MeasureDefinition.cc	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
@@ -5,5 +5,5 @@
 //  Jesse Thaler, Ken Van Tilburg, Christopher K. Vermilion, and TJ Wilkason
 //
-//  $Id: MeasureDefinition.cc 946 2016-06-14 19:11:27Z jthaler $
+//  $Id: MeasureDefinition.cc 943 2016-06-09 00:55:29Z jthaler $
 //----------------------------------------------------------------------
 // This file is part of FastJet contrib.
Index: external/fastjet/contribs/Nsubjettiness/NEWS
===================================================================
--- external/fastjet/contribs/Nsubjettiness/NEWS	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/contribs/Nsubjettiness/NEWS	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
@@ -32,4 +32,6 @@
     N-jettiness as a jet finder using the new ConicalGeometric measure.
 
+-- 2.2.5:  (June 6, 2018) Fixed bug involved undefined pointer for in
+           AxesDefinition (thanks Attila Krasznahorkay)
 -- 2.2.4:  (Jun 14, 2016) Fixed bug where multi-pass minimization could yield
            pathological axes (thanks Gregory Soyez) 
Index: external/fastjet/contribs/Nsubjettiness/VERSION
===================================================================
--- external/fastjet/contribs/Nsubjettiness/VERSION	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/contribs/Nsubjettiness/VERSION	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
@@ -1,1 +1,1 @@
-2.2.4
+2.2.5
